No todas las extensiones serán compatibles con Thunderbird 68

Aunque Thunderbird 60.7.0 se lanzará más tarde hoy, el trabajo continúa en la próxima versión principal del cliente de correo electrónico, Thunderbird 68.0.

El desarrollo de Thunderbird está estrechamente relacionado con el desarrollo de Firefox ESR. Firefox 68.0 ESR se lanzará el 9 de julio de 2019 y Thunderbird 68.0 se lanzará poco después.



El cambio a una nueva base de ESR introduce una gran cantidad de cambios. Las versiones de lanzamiento de soporte extendido de Firefox o Thunderbird obtienen correcciones de seguridad y correcciones de errores importantes en primer lugar mientras sean compatibles. Todos los demás cambios introducidos en las versiones normales se implementan durante los cambios a nuevas versiones principales.

Thunderbird 68.0 es un cambio de este tipo y uno de los principales cambios de esa versión es que el soporte de extensiones se verá afectado negativamente.

Si el equipo de Thunderbird no hubiera hecho nada en absoluto, Thunderbird 68.0 solo admitiría WebExtensions. Todas las extensiones clásicas ya no funcionarían y los usuarios no habrían podido hacer nada para cambiar eso.

El equipo de Thunderbird decidió traer de vuelta algo de soporte en Thunderbird 68.0. Teniendo en cuenta que Mozilla eliminó una gran cantidad de código importante necesario para ejecutar extensiones clásicas, probablemente sea lo mejor que podría hacer el equipo con sus recursos limitados.

El navegador Waterfox usa el mismo código para admitir algunas extensiones heredadas en la próxima versión de Waterfox 68. Un primer alfa de Waterfox 68 fue lanzado recientemente.

Las limitaciones

Thunderbird 68.0 admitirá WebExtensions y los siguientes tipos de extensiones:

  • Complementos sin reinicio si sus autores hicieron 'ajustes menores'.
  • Complementos heredados que no se reinician sin usar superposiciones XUL si los autores de complementos los adoptaron.

Algunas extensiones ya se han modificado, incluidas Calendar Lightning, ThunderHTMLedit, Compact Header, Signature Switch y Send Later integrados.

En lo que respecta a la compatibilidad con los diccionarios, solo se admiten los diccionarios WebExtension cuando se lanza Thunderbird 68.0. Los diccionarios de WebExtension están disponibles en los sitios web del repositorio de complementos de Mozilla y Thunderbird.

¿Qué extensiones son compatibles?

thunderbird extensions compatible

No existe una manera fácil para que los usuarios de Thunderbird averigüen si una extensión es compatible con Thunderbird 68. * o más reciente. los repositorio oficial de complementos de Thunderbird enumera información de compatibilidad, pero incluso las extensiones mencionadas explícitamente por el equipo de Thunderbird en las notas de la versión beta pueden no aparecer como compatibles todavía.



Puedes descargar Thunderbird Beta para instalar las extensiones que usa en esa versión en particular para ver si aún son compatibles. Thunderbird 68 no se lanzará hasta julio, por lo que todavía existe la posibilidad de que los desarrolladores de complementos realicen los cambios necesarios en sus extensiones para que sigan siendo compatibles con el cliente de correo electrónico en el futuro.

Thunderbird 60.8 también se lanzará en julio. Puedes quedarte con esa versión durante otras seis semanas más o menos antes de que el soporte para Thunderbird 60. * finalice oficialmente.

Si ejecuta extensiones sin mantenimiento, hay pocas esperanzas de que sigan funcionando a menos que alguien las bifurque.

Ahora tu: ¿usas Thunderbird? ¿Alguna de sus extensiones esenciales no es compatible con la próxima versión?